### Method

# Gimp Vectors stroke_rotate

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_rotate (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble center_x,
      gdouble center_y,
      gdouble angle
    )

#### Description [src]

Rotates the given stroke.

Rotates the given stroke around given center by angle (in degrees).

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`center_x` | `gdouble`
| X coordinate of the rotation center.
`center_y` | `gdouble`
| Y coordinate of the rotation center.
`angle` | `gdouble`
| Angle to rotate about.

#### Return value

Returns: | `gboolean`
| TRUE on success.